﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DockingManager_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            (this.SyncDockingManager.DocContainer as DocumentContainer).AddTabDocumentAtLast = true;

            if ((this.SyncDockingManager.DocContainer as DocumentContainer).Items != null)
            {
                (this.SyncDockingManager.DocContainer as DocumentContainer).Items.CollectionChanged += Items_CollectionChanged;
            }
        }

        private void Items_CollectionChanged(object sender, NotifyCollectionChangedEventArgs e)
        {
            if ((this.SyncDockingManager.DocContainer as DocumentContainer).Items != null)
            {
                if ((this.SyncDockingManager.DocContainer as DocumentContainer).Items.Count > 1)
                {
                    SyncDockingManager.ShowTabListContextMenu = true;
                    SyncDockingManager.DocumentCloseButtonType = CloseButtonType.Common;
                }
                else
                {
                    SyncDockingManager.ShowTabListContextMenu = false;
                    SyncDockingManager.DocumentCloseButtonType = CloseButtonType.Hide;
                }
            }
        }
    }
}
